Page MenuHomePhabricator

npm jobs failing with ">> Error: Cannot find module 'cst'" in VE-MW, OOjs, and OOUI
Closed, ResolvedPublic1 Story Points

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 14 2016, 3:42 PM
Jdforrester-WMF triaged this task as High priority.Jul 14 2016, 3:42 PM

Looks like this is an issues for grunt-jscs 3+; it was fixed in jscs 3.0.6 but a version of grunt-jscs using that isn't out yet, AFAICS.

Change 298990 had a related patch set uploaded (by Jforrester):
build: Downgrade grunt-jscs to 2.8.0 to avoid cst bug

https://gerrit.wikimedia.org/r/298990

Change 298991 had a related patch set uploaded (by Jforrester):
build: Downgrade grunt-jscs to 2.8.0 to avoid cst bug

https://gerrit.wikimedia.org/r/298991

Change 298992 had a related patch set uploaded (by Jforrester):
build: Downgrade grunt-jscs to 2.8.0 to avoid cst bug

https://gerrit.wikimedia.org/r/298992

Jdforrester-WMF renamed this task from npm jobs failing with ">> Error: Cannot find module 'cst'" in VE-MW and OOjs to npm jobs failing with ">> Error: Cannot find module 'cst'" in VE-MW, OOjs, and OOUI.Jul 14 2016, 3:51 PM

Change 298990 merged by jenkins-bot:
build: Downgrade grunt-jscs to 2.8.0 to avoid cst bug

https://gerrit.wikimedia.org/r/298990

Change 298992 merged by Jforrester:
build: Downgrade grunt-jscs to 2.8.0 to avoid cst bug

https://gerrit.wikimedia.org/r/298992

Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF claimed this task.
Jdforrester-WMF set the point value for this task to 1.

Change 298991 merged by jenkins-bot:
build: Downgrade grunt-jscs to 2.8.0 to avoid cst bug

https://gerrit.wikimedia.org/r/298991